<?xml version="1.0" encoding="UTF-8"?>
<problem 
    version="1.0"
    id ="roi.day2.mosaic"
>
    <judging>
        <script type ="%ioi">
            <testset
                name ="preliminary"

                input-name  ="mosaic.in"
                output-name ="mosaic.out"
                input-href  ="preliminary/##"
                answer-href ="preliminary/##.a"

                time-limit ="1s"
                memory-limit ="268435456"
            >
                <test points ="0" comment="Первый тест из примера"/>
            </testset>

            <testset
                name ="main"

                input-name  ="mosaic.in"
                output-name ="mosaic.out"
                input-href  ="tests/##"
                answer-href ="tests/##.a"

                time-limit ="1s"
                memory-limit ="268435456"
            >
            	<test-group
            		comment = "Подзадача 1. n, k &lt;= 100)"
            		score = "group"
            		feedback = "outcome"
            		group-bonus = "20"
            	>
                    <test points = "0" comment = "Случайный тест со случайными запросами, n=2, k=2" />
                    <test points = "0" comment = "Случайный тест со случайными запросами, n=3, k=3" />
                    <test points = "0" comment = "Случайный тест со случайными запросами, n=5, k=5" />
                    <test points = "0" comment = "Случайный тест со случайными запросами, n=8, k=8" />
                    <test points = "0" comment = "Случайный тест со случайными запросами, n=10, k=10" />
                    <test points = "0" comment = "Случайный тест со случайными запросами, n=20, k=20" />
                    <test points = "0" comment = "Случайный тест со случайными запросами, n=30, k=30" />
                    <test points = "0" comment = "Случайный тест со случайными запросами, n=40, k=40" />
                    <test points = "0" comment = "Случайный тест со случайными запросами, n=50, k=50" />
                    <test points = "0" comment = "Случайный тест со случайными запросами, n=60, k=60" />
                    <test points = "0" comment = "Случайный тест со случайными запросами, n=70, k=70" />
                    <test points = "0" comment = "Случайный тест со случайными запросами, n=80, k=80" />
                    <test points = "0" comment = "Случайный тест со случайными запросами, n=90, k=90" />
                    <test points = "0" comment = "Случайный тест со случайными запросами, n=100, k=100" />
                    <test points = "0" comment = "Все первые числа различны и возрастают, случайные запросы, n=100, k=100" />
                    <test points = "0" comment = "Все вторы числа различны и возрастают, случайные запросы, n=100, k=100" />
                    <test points = "0" comment = "Множество первых и множество вторых чисел имеют мощность 2, максимальные запросы, n=100, k=100" />
                    <test points = "0" comment = "Множество первых и множество вторых чисел имеют мощность 2, во втором множестве только одно число, не равное другим, максимальные запросы, n=100, k=100" />
                    <test points = "0" comment = "Все первые числа совпадают, все вторые числа, кроме одного, совпадают, максимальные запросы, n=100, k=100" />
                    <test points = "0" comment = "Все пары и все запросы совпадают, n=100, k=100" />
                </test-group>
            	<test-group
            		comment = "Подзадача 2. n, k &lt;= 1000)"
            		score = "group"
            		feedback = "outcome"
            		group-bonus = "30"
            	>
                    <test points = "0" comment = "Случайный тест со случайными запросами, n=1000, k=1000" />
                    <test points = "0" comment = "Все первые числа различны и возрастают, случайные запросы, n=1000, k=1000" />
                    <test points = "0" comment = "Все вторы числа различны и возрастают, случайные запросы, n=1000, k=1000" />
                    <test points = "0" comment = "Множество первых и множество вторых чисел имеют мощность 2, максимальные запросы, n=1000, k=1000" />
                    <test points = "0" comment = "Множество первых и множество вторых чисел имеют мощность 2, во втором множестве только одно число, не равное другим, максимальные запросы, n=1000, k=1000" />
                    <test points = "0" comment = "Все первые числа совпадают, все вторые числа, кроме одного, совпадают, максимальные запросы, n=1000, k=1000" />
                    <test points = "0" comment = "Все пары и все запросы совпадают, n=1000, k=1000" />
                </test-group>
            	<test-group
            		comment = "Подзадача 3. n, k &lt;= 5000)"
            		score = "group"
            		feedback = "outcome"
            		group-bonus = "20"
            	>
                    <test points = "0" comment = "Случайный тест со случайными запросами, n=5000, k=5000" />
                    <test points = "0" comment = "Все первые числа различны и возрастают, случайные запросы, n=5000, k=5000" />
                    <test points = "0" comment = "Все вторы числа различны и возрастают, случайные запросы, n=5000, k=5000" />
                    <test points = "0" comment = "Множество первых и множество вторых чисел имеют мощность 2, максимальные запросы, n=5000, k=5000" />
                    <test points = "0" comment = "Множество первых и множество вторых чисел имеют мощность 2, во втором множестве только одно число, не равное другим, максимальные запросы, n=5000, k=5000" />
                    <test points = "0" comment = "Все первые числа совпадают, все вторые числа, кроме одного, совпадают, максимальные запросы, n=5000, k=5000" />
                    <test points = "0" comment = "Все пары и все запросы совпадают, n=5000, k=5000" />
                </test-group>
            	<test-group
            		comment = "Подзадача 4. n, k &lt;= 100000)"
            		score = "group"
            		feedback = "outcome"
            		group-bonus = "30"
            	>
                    <test points = "0" comment = "Случайный тест со случайными запросами, n=100000, k=100000" />
                    <test points = "0" comment = "Все первые числа различны и возрастают, случайные запросы, n=100000, k=100000" />
                    <test points = "0" comment = "Все вторы числа различны и возрастают, случайные запросы, n=100000, k=100000" />
                    <test points = "0" comment = "Множество первых и множество вторых чисел имеют мощность 2, максимальные запросы, n=100000, k=100000" />
                    <test points = "0" comment = "Множество первых и множество вторых чисел имеют мощность 2, во втором множестве только одно число, не равное другим, максимальные запросы, n=100000, k=100000" />
                    <test points = "0" comment = "Все первые числа совпадают, все вторые числа, кроме одного, совпадают, максимальные запросы, n=100000, k=100000" />
                    <test points = "0" comment = "Все пары и все запросы совпадают, n=100000, k=100000" />
                </test-group>
            </testset>

            <verifier type="%testlib">
                <binary executable-id ="x86.exe.win32" file ="check.exe" />
            </verifier>
        </script>
    </judging>
</problem>
